
      //取出原有的内容
      strHTML=document.forms[0].newsContent.value;

     //if((window.navigator.userAgent.indexOf("IE 5") > 1) || (window.navigator.userAgent.indexOf("IE 6") > 1)) {
              document.write('<iframe ID="editor" NAME="editor" MARGINHEIGHT="1" MARGINWIDTH="1" style="width: 100%; height:450;display:none"></iframe>');
              document.write('<div id="switchDiv" style="padding: 0;margin: 0;width: 100%"><table border="0" cellspacing="0" cellpadding="0" width="100%" style="background-color:buttonface">');
              document.write('<tr><td id="status1"><map name="switch1">');
              document.write('<area onclick="switchstatus(2)" shape="polygon" coords="50, 1, 46, 7, 50, 14, 90, 14, 95, 2">');
              document.write('<area onclick="switchstatus(3)" shape="polygon" coords="128, 13, 134, 0, 96, 0, 93, 10, 96, 14">');
              document.write('</map><img SRC="htmledit/images/normal.gif" height="15" width="135" usemap="#switch1" border="0">');
              document.write('</td><td id="status2" style="display:none"><map name="switch2">');
              document.write('<area onclick="switchstatus(1)" shape="polygon" coords="5, 3, 12, 14, 43, 14, 49, 6, 43, 0">');
              document.write('<area onclick="switchstatus(3)" shape="polygon" coords="97, 0, 94, 7, 98, 14, 127, 14, 134, 0">');
              document.write('</map><img SRC="htmledit/images/html.gif" height="15" width="135" usemap="#switch2" border="0">');
              document.write('</td><td id="status3" style="display:none"><map name="switch3">');
              document.write('<area onclick="switchstatus(1)" shape="polygon" coords="3, 2, 10, 14, 41, 14, 50, 0">');
              document.write('<area onclick="switchstatus(2)" shape="polygon" coords="87, 14, 91, 5, 87, 0, 50, 0, 46, 9, 49, 14">');
              document.write('</map><img SRC="htmledit/images/preview.gif" height="15" width="135" usemap="#switch3" border="0"></td>');
              document.write('<td><img src="htmledit/images/scrolll.gif" height=15 width=24></td><td width="100%" style="background-color:white;filter:Alpha(opacity=50);">&nbsp; </td><td><img src="htmledit/images/scrollr.gif" height=15 width=24></td></tr></table></div>');
  //    }
  
  
  
  
      function switchstatus(flag){
              document.frames.editor.frames.edit1.swapModes(flag);
              var i;
              for(i=1;i<4;i++){
                      document.all["status" + i].style.display = "none";
              }
              document.all["status" + flag].style.display = "block";
      }
      
      function winhidden(){
              if (confirm("您确信要放弃所有改动退出吗？\n退出后将无法保存您所做的改动。")){
                      document.all.editor.src="images/dot.gif";
                      window.close();
              }
      }
      
      
      function win_init(){
              document.all.editor.src = "htmledit/edit.php";		
              window.status = "程序载入中，请等待……";
      }
      
      
      function save(){
              document.frames.editor.savefile();
      }
      window.onload = win_init
      
      function UploadComplete(URL){
              if ((URL != null) && (URL != ""))
                      if (URL.indexOf(":") == -1)
                              doFormat("InsertImage", "http://" + URL);
                      else			
                              doFormat("InsertImage", URL);
              document.all.UploadImg.style.display = "none";
              document.forms["upload"].reset();
      }
	  
function doclick () {
	editor.Layer1.style.visibility = "hidden";
	editor.Layer2.style.visibility = "hidden";
	editor.Layer3.style.visibility = "hidden";
	editor.Layer5.style.visibility = "hidden";
	editor.Layer4.style.visibility = "hidden";
	editor.select_Layer6.style.visibility = "hidden";
}
